Bug 851190 - eclipse CBI build does not Requires: icu4j-eclipse
eclipse CBI build does not Requires: icu4j-eclipse
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Krzysztof Daniel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 09:13 EDT by Clément DAVID
Modified: 2014-01-12 19:27 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-24 12:41:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
startup log (56.38 KB, text/x-log)
2012-08-23 09:13 EDT, Clément DAVID
no flags Details
Package list (55.89 KB, application/octet-stream)
2012-08-23 10:06 EDT, Clément DAVID
no flags Details

  None (edit)
Description Clément DAVID 2012-08-23 09:13:07 EDT
Created attachment 606557 [details]
startup log

Description of problem:
Startup fail with a dialog box 'See the log file'

Version-Release number of selected component (if applicable):
eclipse-platform.x86_64 1:4.2.0-9.fc19

How reproducible:
Always (even after rm -fr ~/.eclipse)

Steps to Reproduce:
1. $ eclipse
Comment 1 Krzysztof Daniel 2012-08-23 09:25:38 EDT
Thank you for your bug report, my early adopter!

I'll need a list of installed packages. Just run 
rpm -qa

There may be something wrong with dependency versions.

Please go to the /usr/lib64/eclipse/plugins, type 
ls -l
and check if the first symlink (com.ibm.icu) points to /usr/share/java/icu4j-eclipse/plugins/com.ibm.icu_4.4.2.v20110823.jar and is valid (the file /usr/share/java/icu4j-eclipse/plugins/com.ibm.icu_4.4.2.v20110823.jar really exists).
Comment 2 Clément DAVID 2012-08-23 10:06:58 EDT
Created attachment 606605 [details]
Package list

you are right : /usr/share/java/icu4j-eclipse/plugins/com.ibm.icu_4.4.2.v20110823.jar does not exist.
Comment 3 Krzysztof Daniel 2012-08-23 10:23:41 EDT
This is really weird. Your package list says that you have installed:
icu4j-4.4.2.2-12.fc18.noarch

If you look at the package http://koji.fedoraproject.org/koji/rpminfo?rpmID=3077075, you can spot /usr/share/java/icu4j-eclipse/plugins/com.ibm.icu_4.4.2.v20110823.jar, which is exactly the file that is needed.

Now I need a listing of files that are in /usr/share/java/icu4j-eclipse/plugins .
Comment 4 Clément DAVID 2012-08-23 10:43:00 EDT
# rpmquery -l icu4j
/usr/share/doc/icu4j-4.4.2.2
/usr/share/doc/icu4j-4.4.2.2/APIChangeReport.html
/usr/share/doc/icu4j-4.4.2.2/readme.html
/usr/share/java/icu4j.jar
/usr/share/maven-fragments/icu4j
/usr/share/maven-poms/JPP-icu4j.pom

*but*

# LANG=C rpmquery -l icu4j-eclipse
package icu4j-eclipse is not installed
Comment 5 Krzysztof Daniel 2012-08-23 10:52:11 EDT
sudo yum --enablerepo="rawhide" install icu4j-eclipse 
:-)
Comment 6 Clément DAVID 2012-08-23 11:01:45 EDT
good workaround :p, FYI eclipse startup is fine after this package install.
Comment 7 Krzysztof Daniel 2012-08-23 11:07:02 EDT
I have added the fix to the source in my local repo, but it will take a few work hours before I complete my current work and create a new build with it.
Comment 8 Clément DAVID 2012-08-23 11:49:58 EDT
Fine, this is no more on issue for me (as it is rawhide). Should I close the bug now ? Or wait for the build ?
Comment 9 Krzysztof Daniel 2012-08-24 02:01:34 EDT
Wait for the build. I'll close the issue once it is fixed for good.
Comment 10 Krzysztof Daniel 2012-08-24 12:41:42 EDT
The build is ready http://koji.fedoraproject.org/koji/taskinfo?taskID=4419712

Note You need to log in before you can comment on or make changes to this bug.